package com.foreverwin.mesnac.quality.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.quality.model.SelfReport;
import com.foreverwin.modular.core.util.FrontPage;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 自报代办事项 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-08-20
 */
public interface SelfReportService extends IService<SelfReport> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SelfReport> selectPage(FrontPage<SelfReport> frontPage, SelfReport selfReport);

    List<SelfReport> selectList(SelfReport selfReport);

    Object updateState(String handle, String state);

    List<SelfReport> selectList(QueryWrapper<SelfReport> queryWrapper, String locale, LocalDate startTime, LocalDate endTime);

    void doAdd(Map<String, Object> map);
}